Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Gateway (Rust RPC) is now live -- Read the docs
Get JSON miniblock data by hash and epoch.
cURL
curl --request GET \ --url https://api.example.com/internal/{shard}/json/miniblock/by-hash/{hash}/epoch/{epoch}
const options = {method: 'GET'};fetch('https://api.example.com/internal/{shard}/json/miniblock/by-hash/{hash}/epoch/{epoch}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requestsurl = "https://api.example.com/internal/{shard}/json/miniblock/by-hash/{hash}/epoch/{epoch}"response = requests.get(url)print(response.text)
false
{}
Shard ID
Miniblock hash (hex)
Epoch number
Include transactions in the block
Include logs in the block
Successful response
The response is of type object.
object